/* panaikinti narsykles default nustatymus */
* {
    margin: 0px;
    box-sizing: border-box;
}
/* pakeisti fono spalva */
body {
    font-family: 'Kumbh Sans', sans-serif;
    background-color: rgb(255, 255, 255);
    background-image: url('./img/body_bg.jpg');
    background-attachment: fixed;
    background-repeat: no-repeat;
    background-size: cover;
    color: rgb(182, 185, 182);
    height: 100vh;
    width: 100%;
}
.video-bg {
    background-image: url('./img/videobg.jpg');
    background-attachment: fixed;
    background-repeat: no-repeat;
    background-size: cover;
    width: 100%;
}
.photo-bg {
    background-image: url('./img/photobg.jpg');
    background-attachment: fixed;
    background-repeat: no-repeat;
    background-size: cover;
    width: 100%;
}
.build-bg {
    background-image: url('./img/buildbg.jpg');
    background-attachment: fixed;
    background-repeat: no-repeat;
    background-size: cover;
    width: 100%;
}
.disable-scroll {
    overflow: hidden;
}
.loading {
    background-color: rgb(255, 255, 255);
    background-image: url('./img/body_bg.jpg');
    background-attachment: fixed;
    background-repeat: no-repeat;
    background-size: cover;
    position: fixed;
    z-index: 20;
    height: 100vh;
    width: 100%;
    display: flex;
    align-content: center;
    justify-content: center;
}
.loading-img {
    max-width: 100%;
    max-height: 100vh;
    margin: auto;
}
.loading-hide {
    display: none;
    position: static;
    z-index: 0;
}
/* nuorodos */
a {
    text-decoration: none;
}
/* nuorodos navigacijoje */
.navigation a {
    color: white;
    padding: 10px 20px;
}
/* pagrindine puslapio dalis */
.container {
    width: 1000px;
    margin: 0px auto;
}
/* padaryti viso dydzio, kai bus virsuje prilipdytas */
.container-full {
    z-index: 10;
    position: fixed;
    width: 100%;
    margin: 0px 0px;
    transition: position 0.3s all ease;
}
/* navigacijos dalis */
.navigation {
    z-index: 10;
    width: 100%;
    display: flex;
    align-items: center;
    align-content: space-between;
    padding-top: 8%;
}
/* pakeisti siek tiek settingus, kai bus virsuje prilipdytas */
.nav-fixed {
    padding: 0px 20px;
    padding-top: 2px;
    padding-bottom: 2px;
    background-color: rgba(58, 61, 102, 0.9);
    transition: 0.3s all ease;
}
/* kaire navigacija */
.nav-left {
    text-align: left;
    width: 35%;
}
/* desine navigacija */
.nav-right {
    text-align: right;
    width: 65%;
    font-weight: 700;
}
/* navigation links */
.nav-right a {
    background-color: rgba(0, 0, 0, 0.5);
    border-radius: 8px;
}
.nav-right a:hover {
    background-color: rgba(185, 34, 34, 0.7);
}
/* logotipas */
.logo {
    display: none;
    font-family: 'Pacifico', cursive;
    font-size: 30px;
}
.logo-show {
    display: inline-block;
}
/* header background */
header {
    background-image: url('./img/background.jpg');
    background-attachment: fixed;
    background-repeat: no-repeat;
    background-size: cover;
    height: 100vh;
    width: 100%;
}
/* tinklalapio sekcijos formavimas */
.section-left {
    padding: 20px 10px;
    transform: translateX(-100%);
}
.fly-in-div {
    transform: translateX(0);
    transition: transform 1s ease-out;
}
/* sekcijos h1 */
.section-name {
    padding: 10px 10px;
}
/* galerija */
.section-gallery {
    display: flex;
    flex-wrap: wrap;
    /* align-items: center; */
    align-content: space-between;
    width: 100%;
}
/* video galerijos div */
.video {
    width: calc(50% - 8px);
    height: 300px;
    background-color: rgba(255, 255, 255, 0.1);
    border: none;
    margin: 4px 4px;
    box-shadow: 1px 1px 12px -3px rgba(145,13,145,1);
    position: relative;
    overflow: hidden;
    transition: background-color 0.5s ease-out;
}
.video:hover {
    background-color: rgba(145,13,145, 0.4);
    transition: background-color 0.5s ease-out;
}
/* video iterpimas */
iframe {
    width: 100%;
    padding: 5px 5px;
    display: inline-block;
    height: 300px;
    border: none;
}
/* foto galerijos paveiksliuko div */
.photo {
    width: calc(50% - 8px);
    background-color: rgba(255, 255, 255, 0.4);
    box-shadow: 1px 1px 12px -3px rgba(145,13,145,1);
    position: relative;
    overflow: hidden;
    margin: 4px 4px;
    min-height: 200px;
    transition: background-color 0.5s ease-out;
}
.photo:hover {
    background-color: rgba(145,13,145, 0.4);
    transition: background-color 0.5s ease-out;
}
/* foto galerijos paveiksliukas */
.gallery-img {
    width: 100%;
    height: 100%;
    padding: 5px 5px;
    filter: brightness(30%);
    transition: filter 0.5s ease-out;
}
.gallery-img:hover {
    /* filter: opacity(100%); */
    filter: brightness(100%);
    transition: filter 0.5s ease-out;
}
/* section info container */
.section-info {
    width: 100%;
}
hr {
    height: 1px;
    color: rgba(145,13,145, 0.4);
    background-color: rgba(145,13,145, 0.9);
    border-color: rgba(145,13,145, 0.4);
}
.build-img {
    max-width: 100%;
}
.expandable-content {
    background-color: rgba(122, 138, 194, 0.9);
    padding: 20px 10px;
    border: none;
    width: 100%;
    display: block;
    text-align: left;
    font-family: 'Kumbh Sans', sans-serif;
    font-size: 16px;
    transition: background-color 0.5s ease-out;
}
.build-container {
    padding: 10px 10px;
}
.expanded-content {
    background-color: rgba(255, 255, 255, 0.9);
    overflow: hidden;
    border-left: 1px solid rgba(145,13,145, 0.9);
    border-right: 1px solid rgba(145,13,145, 0.9);
    transition: background-color 0.5s ease-out;
}
.content-closed {
    max-height: 0;
    background-color: rgba(255, 255, 255, 0.9);
    transition: max-height 0.5s ease-out, background-color 0.5s ease-out;
}
.content-open {
    border-bottom: 1px solid rgba(145,13,145, 0.9);
    color: rgb(58, 59, 58);
    max-height: 1000px;
    transition: max-height 0.5s ease-out;

}
.expandable-content:hover {
    background-color: rgba(85, 60, 100, 0.9);
    color: white;
    cursor: pointer;
    transition: color 0.5s ease-out;
}
.expanded {
    color: white;
    background-color:  rgba(85, 60, 100, 0.9);
    transition: color 0.5s ease-out;
}
.round-border-top {
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
}
.round-border-bottom {
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
}
/* footer */
footer {
    background-color: rgb(12, 11, 44);
}
/* footer container */
.bottom {
    color: cornflowerblue;
    text-align: center;
    padding: 2% 2%;
}
/* footer paragraph */
.bottom p {
    padding: 10px 0px;
}
.bottom a {
    text-decoration: none;
    color: white;
}
.icon {
    display: inline-block;
    margin: 0px 10px;
}
.i-icon {
    display: inline-block;
    margin: 0px 10px;
}
.show-account {
    background-color: rgba(0, 0, 0, 0.9);
    z-index: 19;
    display: block;
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
}
.account-bg {
    width: 33%;
    text-align: center;
    padding: 20px 20px;
    border-radius: 10px;
    background-color: rgb(241, 234, 234);
    margin: 5% auto 5% auto;
    position: relative;
    color: rgb(58, 59, 58);
}
.account-bg input {
    width: 66%;
    margin: 5px 0;
    height: 30px;
}
.account-bg button {
    border-radius: 5px;
    border: 2px solid Mediumslateblue;
    padding: 10px 20px;
    font-size: 16px;
    color: Mediumslateblue;
    background-color: #fff;
    transition: color 0.5s ease-out, background-color 0.5s ease-out;
}
button:hover {
    cursor: pointer;
    color:#fff;
    background-color: Mediumslateblue;
    transition: color 0.5s ease-out, background-color 0.5s ease-out;
}
.close-btn {
    position: absolute;
    top: 10px;
    right: 10px;
}
.white-btn {
    color: white;
}
.close-btn:hover {
    cursor: pointer;
}
.hide-account {
    display: none;
}
.input-error {
    text-align: left;
    color: tomato;
    font-size: 12px;
}
.account-info-text {
    color: green;
}
.login-link, .register-link {
    color: blue;
}
.login-link, .register-link:hover {
    cursor: pointer;
}
h1 {
    color: Mediumslateblue;
}

input {
    border: 2px solid Mediumslateblue;
    background-color: #fff;
    border-radius: 5px;
    padding: 5px 10px;
    transition: background-color 0.5s ease-out;
}
input:focus {
    background-color:  rgb(217, 211, 251);
    transition: background-color 0.5s ease-out;
}
.gallery-icon {
    padding: 5px;
    margin-right: 10px;
    color: Mediumslateblue;
    background-color: #fff;
    width: 45px;
    height: 45px;
    text-align: center;
    border-radius: 20%;
    border: 2px solid Mediumslateblue;
    transition: color 0.5s ease-out;
    transition: background-color 0.5s ease-out;
}
.gallery-icon:hover {
    cursor: pointer;
    color:#fff;
    background-color: Mediumslateblue;
    transition: color 0.5s linear, background-color 0.5s ease-out;
}
.edit-icon {
    position: absolute;
    top: 8%;
    left: 6%;
    z-index: 2;
}
.delete-icon {
    position: absolute;
    top: 8%;
    right: 6%;
    z-index: 2;
}
.input-field {
    position: absolute;
    top:25%;
    z-index: 2;
}
.edit-input {
    width: calc(100% - 8px);
    margin: 5px 5px;
    height: 30px;
}

.show-full-photo {
    background-color: rgba(0, 0, 0, 1.0);
    z-index: 19;
    display: block;
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100vh;
}

.hide-full-photo {
    display: none;
}
.full-photo-bg {
    display: block;
    width: 92%;
    height: 96%;
    text-align: center;
    margin: 4% 4%;
    overflow: auto;
}
.full-img {
    width:auto;
    height: 92%;
    margin-bottom: 2%;
}
.next-btn {
    position: absolute;
    top: 40%;
    right: 2%;
    padding: 10px;
}
.prev-btn {
    position: absolute;
    top: 40%;
    left: 2%;
    padding: 10px;
}
.prev-btn:hover,.next-btn:hover {
    cursor: pointer;
}
.hide {
    display: none !important;
}
.add-new-text {
    padding: 10px 0 0 0;
}
.add-video-input, .add-photo-input {
    width: 50%;
}
/* jei width maziau uz 1000 padarom 100% container */
@media only screen and (max-width: 999px) {
    .container {
        width: 100%;
    }
    .gallery-img {
        filter: brightness(100%);
    }
}
@media only screen and (max-width: 799px) {
    .navigation {
        flex-direction: column;
    }
    .navigation a {
        display: block;
        border-radius: 0px;
    }
    .nav-left, .nav-right {
        text-align: center;
        width: 100%;
    }
    header {
        height: 100%;
        background-color: #000;
    }
    .container-full {
        position: static;
    }
    .video {
        width: calc(100% - 8px);
    }
    .photo {
        width: calc(100% - 8px);
    }
    .account-bg {
        width: 80%;
    }
}